﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ClientServer_Client
{
    public partial class frmClient : Form
    {
        ///////////////////////////////////////////////

        #region members
        
        Client.ClientForProxy m_ServerOperations = new Client.ClientForProxy();

        bool m_ServerRunning = false;

        #endregion

        ///////////////////////////////////////////////

        #region ctor
        
        /// <summary>
        /// ctor
        /// </summary>
        public frmClient()
        {
            InitializeComponent();
        }
        #endregion

        ///////////////////////////////////////////////

        #region handling
 
        private void btnStartServer_Click(object sender, EventArgs e)
        {
            if (!CheckIsServerRunning(false))
            {
                //MessageBox.Show("at first stop the server!");
                return;
            }

            m_ServerRunning = m_ServerOperations.StartServer();
        }

        private void btnCallMethod1_Click(object sender, EventArgs e)
        {
            if (!CheckIsServerRunning())
            {
                return;
            }

            m_ServerOperations.CallServerFunc();
        }

        private void btnCallMethod2_Click(object sender, EventArgs e)
        {
            if (!CheckIsServerRunning())
            {
                return;
            }
            m_ServerOperations.CallServerFunc_LoadDll();
        }

        private void btnStopServer_Click(object sender, EventArgs e)
        {
            if (!CheckIsServerRunning())
            {
                return;
            }
            m_ServerRunning = m_ServerOperations.StopServer();
        }


        bool CheckIsServerRunning(bool bExpectedValue = true)
        {
            if (m_ServerRunning != bExpectedValue)
            {
                MessageBox.Show("at first start server!");
                return false;
            }
            return true;
        }

        #endregion
    }
}
