﻿
////////////////////////////////////
// IMPORTANT!!! this constant will be used only once by creating of the proxy - class for our client
////////////////////////////////////

//#define PrepareClient

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ClientServer_Server
{
    class Program
    {
        static void Main(string[] args)
        {
            ServerStubService.ServerStub service = new ServerStubService.ServerStub();
            service.StartServer();
            Console.WriteLine("server is running");

#if PrepareClient
            // we need it only by the registration, not by the execution of server
            string stopService = "0";
            while (stopService == "0")
            {
                stopService = Console.ReadLine();
                System.Threading.Thread.Sleep(100);
            }

            service.StopServer();
            Console.WriteLine("server is NOT running");
#else

            while (service.ServerRunning)
            {
                System.Threading.Thread.Sleep(100);
            }
#endif

        }
    }
}
